#include "Lijek.h"
#include <sstream>

Lijek::Lijek(std::string naziv)
{
    setNaziv(naziv);
    setCijena(0);
    setKolicina(0);
}

Lijek::Lijek(std::string naziv, std::string datum, int cijena, int kolicina) : Lijek(naziv)
{
    setDatum(datum);
    setCijena(cijena);
    setKolicina(kolicina);
}

void Lijek::setNaziv(std::string naziv)
{
    this->naziv = naziv;
}

void Lijek::setDatum(std::string datum)
{
    this->datum = datum;
}

void Lijek::setCijena(int cijena)
{
    this->cijena = cijena;
}

void Lijek::setKolicina(int kolicina)
{
    this->kolicina = kolicina;
}

std::string Lijek::getNaziv()
{
    return naziv;
}

std::string Lijek::getDatum()
{
    return datum;

}

int Lijek::getCijena()
{
    return cijena;
}

int Lijek::getKolicina()
{
    return kolicina;
}

std::string Lijek::toString()
{
    std::stringstream ss;
    ss << "Naziv: " << naziv << "\n" << "Datum: " << datum << "\n" << "Cijena: " << cijena << " EUR" << "\n" << "Kolicina: " << kolicina;
    return ss.str();
}
